/*----------------------------------------------------------------------------
 Copyright:      
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        16.12.2009
 Description:    
------------------------------------------------------------------------------*/

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <stdlib.h>
#include "usart.h"
#include "rf22.h"

int main(void)
{	
	WDTCSR = (1<<WDCE) | (1<<WDE);
	WDTCSR = (1<<WDCE) | (1<<WDE) | (1<<WDP0) | (1<<WDP1) | (1<<WDP2);
	
	char count = 0;
	char rx_buffer[50];

	DDRB |= (1<<0);
	PORTB |= (1<<0);
	
    usart_init(600);
	rf22_init();
	rf22_setfreq(RF22FREQ(869.50)); //Standart S2 = 869.50  //S1 = 869.545
	rf22_setbaud(RF22BAUD(2400));
	rf22_setrxpara(PARA_2400_WIDE);

	//Daten senden
	/*
	while(1)
	{	
		rf22_sendpacket("TEST \r\n",6);
	}
	*/

	//Daten empfangen
	rf22_rxmode();				// Datenpakete empfangen
	while(1)
	{	
		PORTB &= ~(1<<0);	
		//Antwort empfangen
		count = rf22_getpacket(rx_buffer);	
		
		if (count != 0)
		{
			PORTB |= (1<<0);
			
			if (count > 1)
			{
				for(unsigned char a = 0;a<count;a++)
				{
					usart_write_char(rx_buffer[a]);
				}
			}
		}	
	}
}


